Bug 202602 - perl-POE-Component-Client-HTTP make test hangs in mock
perl-POE-Component-Client-HTTP make test hangs in mock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-POE-Component-Client-HTTP (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 09:42 EDT by Matt Domsch
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 18:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2006-08-15 09:42:58 EDT
Description of problem:
building perl-POE-Component-Client-HTTP-0.77-2 on FC6 development inside the
reduced mock chroot, make test hung which prevented the build from completing.
Comment 1 Chris Weyl 2006-08-15 10:45:39 EDT
Do you happen to still have the mock build.log (among others)?  If so, that
could be useful here...
Comment 2 Matt Domsch 2006-08-15 23:42:48 EDT
The build succeeded when I retried it on x86_64, but failed on i386.
ps auxgww shows it's stuck on test 10_shutdown.

build    26371  0.0  0.3 111884  7612 ?        S    22:33   
0:00 /usr/bin/python -tt /usr/bin/mock --autocache --uniqueext=perl-POE-
Component-Client-HTTP-0.77-2.fc6.src.rpm -r fedora-development-i386.cfg perl-
POE-Component-Client-HTTP-0.77-2.fc6.src.rpm
root     26988  0.0  0.0      0     0 ?        S    22:33   0:00 [pdflush]
build    27932  0.0  0.0  58636  1028 ?        S    22:34   0:00 sh -c 
{ /usr/sbin/mock-helper chroot /var/lib/mock/fedora-development-i386-core-perl-
POE-Component-Client-HTTP-0.77-2.fc6.src.rpm/root /sbin/runuser - root -
c "cd /;/sbin/runuser -c 'rpmbuild --rebuild  --target i386 --
nodeps /builddir/build/SRPMS/perl-POE-Component-Client-HTTP-0.77-
2.fc6.src.rpm' mockbuild"; } 2>&1
root     27933  0.0  0.0   2840  1004 ?        S    22:34   
0:00 /sbin/runuser - root -c cd /;/sbin/runuser -c 'rpmbuild --rebuild  --
target i386 --nodeps /builddir/build/SRPMS/perl-POE-Component-Client-HTTP-0.77-
2.fc6.src.rpm' mockbuild
root     27934  0.0  0.0   2320  1144 ?        S    22:34   0:00 -bash -c 
cd /;/sbin/runuser -c 'rpmbuild --rebuild  --target i386 --
nodeps /builddir/build/SRPMS/perl-POE-Component-Client-HTTP-0.77-
2.fc6.src.rpm' mockbuild
root     27947  0.0  0.0   2840  1004 ?        S    22:34   
0:00 /sbin/runuser -c rpmbuild --rebuild  --target i386 --
nodeps /builddir/build/SRPMS/perl-POE-Component-Client-HTTP-0.77-2.fc6.src.rpm 
mockbuild
build    27948  0.0  0.1   9884  3428 ?        Ss   22:34   0:00 rpmbuild --
rebuild --target i386 --nodeps /builddir/build/SRPMS/perl-POE-Component-Client-
HTTP-0.77-2.fc6.src.rpm
build    28116  0.0  0.0   2272  1016 ?        S    22:34   0:00 /bin/sh -
e /var/tmp/rpm-tmp.17121
build    28118  0.0  0.0   1696   784 ?        S    22:34   0:00 make test
build    28125  0.0  0.1   5536  3776 ?        S    22:34   
0:00 /usr/bin/perl -MExtUtils::Command::MM -e test_harness
(0, 'blib/lib', 'blib/arch') t/03_head_filter.t t/04_chunk_filter.t 
t/05_request.t t/06_factory.t t/07_proxy.t t/08_discard.t t/10_shutdown.t 
t/51_santos_status.t t/52_reiss_bad_length.t t/53_response_parser.t 
t/55_reiss_double_resp.t t/56_redirect_excess.t
build    28348  0.0  0.5  13052 11324 ?        S    22:34   
0:00 /usr/bin/perl -w t/10_shutdown.t

I killed the hung process manually.
Logs will be at
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-
extras/i386/perl-POE-Component-Client-HTTP-0.77-2.fc6.src.rpm/result/ 
directory momentarily.
Comment 3 Chris Weyl 2006-08-16 18:39:09 EDT
t/10_shutdown.t added to the list of tests to be nuked outside a networkable
environment.

Package has _not_ been rebuilt -- this fix doesn't warrant that -- but has been
addressed in cvs (devel).

Note You need to log in before you can comment on or make changes to this bug.